#
# spec file for package gnome-vfs2 (Version 2.2.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel audiofile bonobo-activation bonobo-activation-devel bzip2 cdparanoia esound esound-devel fam fam-devel gconf2 gconf2-devel glib2 glib2-devel gnome-common gnome-mime-data gtk2 gtk2-devel imlib imlib-devel intltool libbonobo libbonobo-devel libjpeg libpng-devel-packages libstdc++-devel libtiff libxml2 libxml2-devel linc linc-devel openssl openssl-devel orbit2 orbit2-devel pkgconfig popt x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel bzip2 cdparanoia cracklib esound esound-devel fam fam-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-common gnome-mime-data gtk2 gtk2-devel imlib imlib-devel intltool libbonobo libbonobo-devel libjpeg libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel linc linc-devel openssl openssl-devel orbit2 orbit2-devel perl pkgconfig popt popt-devel rpm

Name:         gnome-vfs2
%define prefix	/opt/gnome2
%define sysconfdir /etc/%{prefix} 
License:      GPL, LGPL
Group:        Development/Libraries/GNOME
Obsoletes:    gnvfs
Requires:     gnome-mime-data
Provides:     gnvfs
Autoreqprov:  on
Version:      2.2.1
Release:      159
Summary:      The GNOME2.0 virtual file-system libraries
URL:          http://www.gnome.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gnome-vfs/gnome-vfs-%{version}.tar.bz2
Patch:        extfs.patch
Patch1:       CAN-2005-0706.diff
PreReq:       filesystem

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. It provides a modular architecture and ships
with several modules that implement support for file systems, http, ftp
and others. It provides a URI-based API, a backend supporting
asynchronous file operations, a MIME type manipulation library and
other features.



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Miguel de Icaza  <miguel@nuclecu.unam.mx>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>

%prep
%setup -q -n gnome-vfs-%{version}
%patch
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%prefix \
	--libdir=%prefix/%_lib \
	--mandir=%{_mandir} \
	--sysconfdir=%{sysconfdir}
make -s 

%install
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome2/%_lib
make -s install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/%_lib/pkgconfig
mv $RPM_BUILD_ROOT/opt/gnome2/%_lib/pkgconfig/*.pc $RPM_BUILD_ROOT/usr/%_lib/pkgconfig

%post
%run_ldconfig
echo -n " system_http_proxy.schemas " >> var/adm/SuSEconfig/run-gconf2-schema-installation 

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/%_lib/bonobo/servers/GNOME_VFS_Moniker_std.server
%{prefix}/%_lib/bonobo/monikers/libmoniker_gnome_vfs_std.so
%config %{sysconfdir}/gnome-vfs-2.0
%{prefix}/%_lib/gnome-vfs-2.0/modules/*.so
%{prefix}/%_lib/vfs
%{prefix}/%_lib/libgnomevfs-2.so*
/etc/opt/gnome2/gconf/schemas/*.schemas
%package devel
Summary:      The development package for the GNOME Virtual File System
Group:        Development/Libraries/GNOME
Obsoletes:    gnvfsd
Provides:     gnvfsd

%description devel
All files needed development for GNOME-VFS development based on the
GNOME 2.0 platform



Authors:
--------
            Elliot Lee <sopwith@redhat.com>
            Miguel de Icaza  <miguel@nuclecu.unam.mx>
            Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>

%package doc
Summary:      The GNOME2.0 virtual file-system libraries
Group:        Development/Libraries/GNOME
Requires:     %{name} = %{version}-%{release}

%description doc
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. It provides a modular architecture and ships
with several modules that implement support for file systems, http, ftp
and others. It provides a URI-based API, a backend supporting
asynchronous file operations, a MIME type manipulation library and
other features.



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Miguel de Icaza  <miguel@nuclecu.unam.mx>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>


%files devel
%defattr(-, root, root)
/usr/%_lib/pkgconfig/*.pc
%{prefix}/%_lib/bonobo/monikers/libmoniker_gnome_vfs_std.*a
%{prefix}/%_lib/gnome-vfs-2.0/modules/*a
%{prefix}/include/*
%{prefix}/%_lib/gnome-vfs-2.0/include
%{prefix}/%_lib/libgnomevfs-2*a

%files doc
%{prefix}/share/gtk-doc/html/gnome-vfs-2.0

%changelog -n gnome-vfs2
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed buffer overflow in CDDB code (#72397, CAN-2005-0706).
* Tue Nov 16 2004 - sbrabec@suse.cz
- Replaced insecure old extfs modules by fixed modules from mc,
  fixed the rest (CAN-2004-0494, CRD: 04.08.2004) (#43152).
* Wed Mar 05 2003 - sbrabec@suse.cz
- Added bzip2 and fam-devel to neededforbuild.
* Tue Feb 11 2003 - sbrabec@suse.cz
- Updated to version 2.2.1 (fixes theme-manager issues).
* Wed Jan 29 2003 - hhetter@suse.de
- updated to version 2.2.0
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 2.1.91
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.4.0.1 [GNOME 2.0.3]
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Aug 20 2002 - hhetter@suse.de
- add PreReq: filesystem [#17861]
* Thu Aug 15 2002 - hhetter@suse.de
- require gnome-mime-data (#17738)
- branch doc package
* Fri Aug 09 2002 - hhetter@suse.de
- updated to version 2.0.2
- added openssl to neededforbuild
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Thu Jun 27 2002 - hhetter@suse.de
- updated to version 2.0.1 (gnome 2 final)
  * create ~.gnome if it does not exist
- provide schemas
- fix filelist
* Tue Jun 18 2002 - meissner@suse.de
- for FAM we need libstdc++-devel (for the .la file)
* Tue Jun 18 2002 - hhetter@suse.de
- build with FAM support
* Wed Jun 12 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 11 2002 - ro@suse.de
- fix libdir usage for modules/extfs
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 1.9.17
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.9.16, source frozen
* Tue May 14 2002 - ro@suse.de
- use libdir
* Tue Apr 09 2002 - hhetter@suse.de
- use LIBRARY_PATH
- update to version 1.9.11 [gnome2 desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.9.5 [gnome desktop alpha2]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Wed Jan 09 2002 - hhetter@suse.de
- added gnome-vfs-module-2.0.pc to the filelist of the
  devel package
* Wed Jan 09 2002 - hhetter@suse.de
- initial SuSE Package for GNOME 2.0 platform
